Skip to main content
GET
/
dispute_alerts
/
{id}
Retrieve dispute alert
curl --request GET \
  --url https://api.whop.com/api/v1/dispute_alerts/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/dispute_alerts/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/dispute_alerts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "amount": 6.9,
  "charge_for_alert": true,
  "created_at": "2023-12-01T05:00:00.401Z",
  "dispute": {
    "amount": 6.9,
    "created_at": "2023-12-01T05:00:00.401Z",
    "id": "dspt_xxxxxxxxxxxxx",
    "reason": "Product Not Received"
  },
  "id": "dspa_xxxxxxxxxxxxx",
  "payment": {
    "card_last4": "4242",
    "created_at": "2023-12-01T05:00:00.401Z",
    "dispute_alerted_at": "2023-12-01T05:00:00.401Z",
    "id": "pay_xxxxxxxxxxxxxx",
    "member": {
      "id": "<string>",
      "phone": "<string>"
    },
    "membership": {
      "id": "mem_xxxxxxxxxxxxxx"
    },
    "paid_at": "2023-12-01T05:00:00.401Z",
    "subtotal": 6.9,
    "total": 6.9,
    "usd_total": 6.9,
    "user": {
      "email": "john.doe@example.com",
      "id": "user_xxxxxxxxxxxxx",
      "name": "John Doe",
      "username": "johndoe42"
    }
  },
  "transaction_date": "2023-12-01T05:00:00.401Z"
}
{
"error": {
"code": "parameter_missing",
"message": "Missing required parameter: amount.",
"param": "amount",
"type": "invalid_request_error"
}
}
{
"error": {
"message": "Invalid or missing API key",
"type": "unauthorized"
}
}
{
"error": {
"message": "You do not have permission to access this resource",
"type": "forbidden"
}
}
{
"error": {
"message": "Resource not found",
"type": "not_found"
}
}
{
"error": null
}
{
"error": null
}
{
"error": {
"message": "An unexpected error occurred",
"type": "internal_server_error"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the dispute alert.

Example:

"dspa_xxxxxxxxxxxxx"

Response

A successful response

A dispute alert represents an early warning notification from a payment processor about a potential dispute or chargeback.

alert_type
enum<string>
required

The type of the dispute alert.

Available options:
dispute,
dispute_rdr,
fraud
amount
number
required

The alerted amount in the specified currency.

Example:

6.9

charge_for_alert
boolean
required

Whether this alert incurs a charge.

created_at
string<date-time>
required

The time the dispute alert was created.

Example:

"2023-12-01T05:00:00.401Z"

currency
enum<string>
required

The three-letter ISO currency code for the alerted amount.

Available options:
usd,
sgd,
inr,
aud,
brl,
cad,
dkk,
eur,
nok,
gbp,
sek,
chf,
hkd,
huf,
jpy,
mxn,
myr,
pln,
czk,
nzd,
aed,
eth,
ape,
cop,
ron,
thb,
bgn,
idr,
dop,
php,
try,
krw,
twd,
vnd,
pkr,
clp,
uyu,
ars,
zar,
dzd,
tnd,
mad,
kes,
kwd,
jod,
all,
xcd,
amd,
bsd,
bhd,
bob,
bam,
khr,
crc,
xof,
egp,
etb,
gmd,
ghs,
gtq,
gyd,
ils,
jmd,
mop,
mga,
mur,
mdl,
mnt,
nad,
ngn,
mkd,
omr,
pyg,
pen,
qar,
rwf,
sar,
rsd,
lkr,
tzs,
ttd,
uzs,
rub,
btc,
cny,
usdt,
kzt,
awg,
whop_usd,
xau
dispute
object | null
required

The dispute associated with the dispute alert.

id
string
required

The unique identifier of the dispute alert.

Example:

"dspa_xxxxxxxxxxxxx"

payment
object | null
required

The payment associated with the dispute alert.

transaction_date
string<date-time> | null
required

The date of the original transaction.

Example:

"2023-12-01T05:00:00.401Z"